/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

import javax.ejb.Remote;

/**
 *
 * @author Szilárd
 */
@Remote
public interface LessonStudentSessionBeanRemote {

    public void newLessonStudent(entities.LessonStudent l);

    public void update(java.lang.Long id, entities.Lesson lesson);

    public entities.LessonStudent findId(java.lang.Long id);

    public boolean findByLessonIdAndStudentId(entities.Lesson id, entities.Users studentId);

    public entities.LessonStudent findByLessonId(entities.Lesson id, entities.Users studentId);

    public void delete(java.lang.Long id);

    public java.util.List<entities.LessonStudent> findStudents(entities.Lesson id);

}
